## NAME

v.normal - Tests for normality for points.

## KEYWORDS

vector, statistics

## SYNOPSIS

v.normal
v.normal help
v.normal [-rql] map=string tests=range[,range,...] column=string

### Flags:

-r
  Use only points in current region
-q
  Quiet
-l
  lognormal

### Parameters:

map=string
  point vector defining sample points
tests=range[,range,...]
  Lists of tests (1-15): e.g. 1,3-8,13
column=string
  Attribute column

## DESCRIPTION

v.normal computes tests of normality on vector points.

## NOTES

The tests that v.normal performs are indexed below. The tests that are performed are specified by giving an index, ranges of indices, or multiple thereof.

1. Sample skewness and kurtosis
2. Geary's a-statistic and an approximate normal transformation
3. Extreme normal deviates
4. D'Agostino's D-statistic
5. Modified Kuiper V-statistic
6. Modified Watson U^2-statistic
7. Durbin's Exact Test (modified Kolmogorov)
8. Modified Anderson-Darling statistic
9. Modified Cramer-Von Mises W^2-statistic
10. Kolmogorov-Smirnov D-statistic (modified for normality testing)
11. Chi-Square test statistic (equal probability classes) and the number of degrees of freedom
12. Shapiro-Wilk W Test
13. Weisberg-Binghams W'' (similar to Shapiro-Francia's W')
14. Royston's extension of W for large samples
15. Kotz Separate-Families Test for Lognormality vs. Normality

## EXAMPLE

    v.normal map=soils tests=1-3,14 col=flt1

computes the sample skewness and kurtosis, Geary's a-statistic and an approximate normal transformation, extreme normal deviates, and Royston's W for the soils vector points.

## SEE ALSO

v.univar

## AUTHOR

James Darrell McCauley <darrell@mccauley-usa.com>,
when he was at: Agricultural Engineering Purdue University

Last changed: $Date: 2006/01/02 14:44:52 $

Main index - vector index - Full index